import { OnInit } from '@angular/core';
import { UntypedFormControl } from '@angular/forms';
import { SmzFormsBehaviorsConfig } from '../../models/behaviors';
import { SmzColorPickerControl } from '../../models/control-types';
import * as i0 from "@angular/core";
export declare class ColorPickerComponent implements OnInit {
    input: SmzColorPickerControl;
    control: UntypedFormControl;
    behaviors: SmzFormsBehaviorsConfig;
    color: string;
    constructor();
    ngOnInit(): void;
    onPickerChange(event: any): void;
    onInputChange(event: any): void;
    markAsTouched(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<ColorPickerComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<ColorPickerComponent, "smz-color-picker", never, { "input": { "alias": "input"; "required": false; }; "control": { "alias": "control"; "required": false; }; "behaviors": { "alias": "behaviors"; "required": false; }; }, {}, never, never, false, never>;
}
